Purchase a phone number
Provision a number to an account. May include carrier-specific compliance fields.
curl -X POST "https://api.talkturo.com/api/phone-numbers/purchase" \
-H "Content-Type: application/json" \
-d '{
"phoneNumber": "+1-555-0123",
"accountSlug": "example_string",
"bundleId": "example_string"
}'
import requests
import json
url = "https://api.talkturo.com/api/phone-numbers/purchase"
headers = {
"Content-Type": "application/json"
}
data = {
"phoneNumber": "+1-555-0123",
"accountSlug": "example_string",
"bundleId": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/phone-numbers/purchase", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"phoneNumber": "+1-555-0123",
"accountSlug": "example_string",
"bundleId": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"phoneNumber": "+1-555-0123",
"accountSlug": "example_string",
"bundleId": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/phone-numbers/purchase", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/phone-numbers/purchase')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"phoneNumber": "+1-555-0123",
"accountSlug": "example_string",
"bundleId": "example_string"
}'
response = http.request(request)
puts response.body
{
"success": true,
"phoneNumber": {
"id": "example_string",
"phoneNumber": "+1-555-0123",
"status": "example_string",
"accountSlug": "example_string"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/phone-numbers/purchase
Target server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
The media type of the request body
Carrier-specific compliance bundle when required
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Body
Carrier-specific compliance bundle when required